[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.CreateRegion

Ensures that the handle for the canvas Region is valid.

## Declaration

Source position: graphics.pp line 1076

`protected procedure TCanvas.CreateRegion; virtual;`

## Description

CreateRegion is a procedure used to ensure that the handle for the rectangular Region in the canvas is valid.

CreateRegion calls SelectObject to the get the handle for the Region, and saves a local copy for access in the class instance. Canvas state flags are updated to indicates that the handle for the Region is valid.

CreateRegion is declared as a virtual method, and may be overridden in descendant classes.

Remark: | CreateRegion is not used in the current LCL implementation.